POEDIT(1)

NAME
poedit - program to aid editing gettext po files

SYNOPSIS
poedit [-a] [-p] [-n] <file.po>

potooledit [-a] [-p] [-n] <file.po>

DESCRIPTION
poedit is a shell script, which uses potool(1), iconv(1) and your favourite editor to help you edit gettext po files.

It first retrieves only the untranslated entries from the file (or, if -a is specified, reorders the entries so that the translated ones are grouped separately from the untranslated ones) and puts them into a temporary file. Then recodes the file to the charmap of your current locale, and runs your favourite editor on the temporary file so you can add new translations. After you have finished, it recodes the file back to the original charset and merges the new translations back into the original file.

poedit is also known as potooledit on Debian systems, to avoid a name clash with an unrelated program of the same name.

OPTIONS

-a  causes poedit to include already translated entries as well in the temporary file for editing (they are grouped separately, though).
    Without this option, only the untranslated entries (and the file header) are presented for editing.

-p  causes poedit to keep the formatting of the file intact. Without this option, all strings will be re-wrapped at newlines or word boundaries to fit in 80 columns.

-n  causes poedit not to do any charset recoding before nor after editing the file.
    You should only use this option if you know what you are doing. Be particularly careful when using this option (without -a) on files that are in an encoding incompatible with your locale's charmap. In that case, the intermediate file to be edited will probably only contain ASCII characters, which means your editor will be free to interpret this as your default locale encoding. This in turn, will make the file invalid when it is merged together with the already translated messages. See Debian bug #297074 for an example of this happening.

CAVEATS
By default, the program re-wraps lines in all strings in the edited file. See the -p option.

SEE ALSO
potool(1), postats(1), locale charmap(1), msgmerge(1), msgfmt(1).

AUTHOR
Poedit was written by Zbigniew Chyla and is now being maintained by Marcin Owsiany <porridge@debian.org>.